/*
 * Class EV_GRID_EDITABLE_ITEM
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1009 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1009 [] = {0xFF01,1551,1008,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1009 [] = {0xFF01,1008,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1009 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1009 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1009 [] = {0xFF01,1008,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1009 [] = {0xFF01,1008,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1009 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1009 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1009 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1009 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1009 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1009 [] = {0xFF01,1008,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1009 [] = {0xFF01,1184,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1009 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1009 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1009 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1009 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1009 [] = {0xFF01,1184,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1009 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1009 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1009 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1009 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1009 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1009 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1009 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1009 [] = {0xFF01,643,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1009 [] = {0xFF01,636,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1009 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1009 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1009 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1009 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1009 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1009 [] = {0xFF01,988,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1009 [] = {0xFF01,1031,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1009 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1009 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1009 [] = {1548,0xFF01,0,0xFF01,0xFFF9,2,840,0xFF01,1003,0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1009 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1009 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1009 [] = {0xFF01,975,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1009 [] = {0xFF01,975,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1009 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_43_1009 [] = {1558,0xFF01,0,0xFF01,0xFFF9,1,840,0xFF01,924,866,0xFFFF};


static const struct desc_info desc_1009[] = {
	{EIF_GENERIC(NULL), 25039, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1009), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1009), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1009), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1009), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1009), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1009), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1009), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1009), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1009), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1009), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1009), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1009), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E1 /*1008*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1009), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1009), 24976, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24975, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1009), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x080F /*1031*/), 24921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1009), 24518, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1009), 24519, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1009), 24520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 24524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 24525, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24599, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1009), 24976, 4},
	{EIF_GENERIC(egt_19_1009), 4231, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1009), 4232, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1009), 4233, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1009), 4234, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1009), 4235, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1009), 4236, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1009), 4237, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1009), 4238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1009), 4239, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1009), 4240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1009), 4241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1009), 4242, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1009), 4243, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1009), 4244, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1009), 24920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1009), 24922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1009), 24923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24897, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24898, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 24900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 24901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24904, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24906, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24909, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24946, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24950, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24953, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24954, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24958, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24959, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24960, 48},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24961, 52},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24963, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1009), 24964, 12},
	{EIF_NON_GENERIC(0x0787 /*963*/), 24965, 16},
	{EIF_NON_GENERIC(0x083B /*1053*/), 24966, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24967, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24968, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24969, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24970, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1009), 24973, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 24977, 37},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24932, 56},
	{EIF_GENERIC(egt_38_1009), 24933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1009), 24934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1009), 15919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1009), 15920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 15921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_1009), 15922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25041, 0xFFFFFFFF},
	{EIF_GENERIC(egt_43_1009), 25042, 28},
	{EIF_NON_GENERIC(0x084F /*1063*/), 25043, 32},
	{EIF_GENERIC(NULL), 25045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 25047, 36},
	{EIF_GENERIC(NULL), 25049, 0xFFFFFFFF},
};
void Init1009(void)
{
	IDSC(desc_1009, 0, 1008);
	IDSC(desc_1009 + 1, 1, 1008);
	IDSC(desc_1009 + 32, 1593, 1008);
	IDSC(desc_1009 + 47, 162, 1008);
	IDSC(desc_1009 + 56, 1640, 1008);
	IDSC(desc_1009 + 59, 590, 1008);
	IDSC(desc_1009 + 62, 1524, 1008);
	IDSC(desc_1009 + 64, 1643, 1008);
	IDSC(desc_1009 + 79, 446, 1008);
	IDSC(desc_1009 + 103, 1019, 1008);
	IDSC(desc_1009 + 146, 138, 1008);
	IDSC(desc_1009 + 150, 268, 1008);
}


#ifdef __cplusplus
}
#endif
